mod handler;
mod routes;
mod ws;

use crate::utils::rejection_handler::handle_rejection;
use crate::utils::structs::Context;
use tokio::runtime;
use warp::Filter;

pub fn start(context: Context) {
    let rt = runtime::Runtime::new().unwrap();
    rt.block_on(async {
        log::info!("Starting Relay on wss://0.0.0.0:8080");

        let routes = routes::routes(context).recover(handle_rejection);

        warp::serve(routes)
            // .tls()
            // .cert(CERT)
            // .key(KEY)
            .run(([0, 0, 0, 0], 8080))
            .await;
    });
}
